NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.CircularCrossSection Class Reference

Represents a circular section data for face blend. More...

Inheritance diagram for NXOpen.GeometricUtilities.CircularCrossSection:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void SetLawControlConstantRadius (string radius)
 Sets a constant radius for the law control of the circular section with face blend. More...
 
unsafe void SetLawControlEndRadius (string radius)
 Sets a end radius for the law control of the circular section with face blend. More...
 
unsafe void SetLawControlStartRadius (string radius)
 Sets a start radius for the law control of the circular section with face blend. More...
 
unsafe void SetRadius (string radius)
 Sets a radius for the circular section with face blend. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.LawBuilder 
LawControl [get]
 Returns the Law builder More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the radius for the circular section with face blend More...
 
unsafe
NXOpen.GeometricUtilities.RadiusMethod 
RadiusOption [get, set]
 Returns or sets the radius option for the circular section with face blend More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a circular section data for face blend.

Created in NX4.0.0

Member Function Documentation

unsafe void NXOpen.GeometricUtilities.CircularCrossSection.SetLawControlConstantRadius ( string  radius)
inline

Sets a constant radius for the law control of the circular section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.CircularCrossSection.SetLawControlEndRadius ( string  radius)
inline

Sets a end radius for the law control of the circular section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.CircularCrossSection.SetLawControlStartRadius ( string  radius)
inline

Sets a start radius for the law control of the circular section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.CircularCrossSection.SetRadius ( string  radius)
inline

Sets a radius for the circular section with face blend.

Created in NX4.0.0

Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using GeometricUtilities.CircularCrossSection.Radius and Expression.RightHandSide .

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radius
unsafe bool NXOpen.GeometricUtilities.CircularCrossSection.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.GeometricUtilities.CircularCrossSection.LawControl
get

Returns the Law builder

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.CircularCrossSection.Radius
get

Returns the radius for the circular section with face blend

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.RadiusMethod NXOpen.GeometricUtilities.CircularCrossSection.RadiusOption
getset

Returns or sets the radius option for the circular section with face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.